function onBegin()
	disableRetry()
	playSound("event:/game/06_reflection/supersecret_heartappear")
	walk(116,false,1,true)
	-- zoom to a point x, y, amount, duration
	coroutine.yield(engine.Scene:ZoomTo(vector2(136, 72), 1.25, 0.5))
	enableRetry()
end